#include "triangles.h"
#include "algorithm"

using namespace std;

vector<vector<int>> solve(int n) {
    Triangle a1(0, 1, 2);
    Triangle a2(0, 1, 3);
    Triangle a3(2, 3, 0);
    Triangle a4(2, 3, 1);
    Triangle b1(0, 2, 1);
    Triangle b2(0, 2, 3);
    Triangle b3(1, 3, 0);
    Triangle b4(1, 3, 2);
    Triangle c1(0, 3, 2);
    Triangle c2(0, 3, 1);
    Triangle c3(1, 2, 0);
    Triangle c4(1, 2, 3);
    vector<Triangle> A1 = { a1, a2 };
    vector<Triangle> A2 = { a3, a4 };
    vector<Triangle> B1 = { b1, b2 };
    vector<Triangle> B2 = { b3, b4 };
    vector<Triangle> C1 = { c1, c2 };
    vector<Triangle> C2 = { c3, c4 };
    int A = compare(A1, A2);
    int B = compare(B1, B2);
    int C = compare(C1, C2);
    vector<vector<int>> ans;
    if (A == 0) {
        ans.push_back({ 0, 2, 1, 3 });
    }
    if (B == 0) {
        ans.push_back({ 0, 1, 2, 3 });
    }
    if (C == 0) {
        ans.push_back({ 0, 2, 3, 1 });
    }
    return ans;
}
